%define rhugversion 20031215
%define rhugsource1 %{name}-%{version}-src upstream

Summary: Jakarta Commons Modeler Component
Name: commons-modeler
Version: 1.0
Release: 8
URL: http://jakarta.apache.org/commons/modeler.html
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}-src.tar.gz
Patch1: %{name}-rhjpp.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc34-c++
BuildPrereq: gcc34-java >= 3.4.0-1
BuildPrereq: mx4j >= 1.1.1-9
BuildPrereq: commons-logging >= 1.0.2-15
BuildPrereq: commons-digester >= 1.4.1-13
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj34 >= 3.4.0-1
Requires: mx4j >= 1.1.1-9
Requires: commons-logging >= 1.0.2-15
Requires: commons-digester >= 1.4.1-13

%description
The Jakarta Commons Modeler component is designed to simplify the
process of creating Model MBeans -- the required metadata is
configured from an XML description of each Model MBean to be
supported. In addition, Modeler provides a factory mechanism to create
the actual Model MBean instances themselves.

%package devel
Summary: CNI headers for developing Commons Modeler applications
Group: Development/Libraries
Requires: commons-modeler = %{version}-%{release}

%description devel
The commons-modeler-devel package contains the headers required to
develop Cygnus Native Interface (CNI) extensions that use the Jakarta
Commons Modeler Component.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .rhjpp
mv ChangeLog ChangeLog.rhug

%build
CC=gcc34 CXX=g++34 GCJ=gcj34 GCJH=gcjh34 \
./configure \
    --disable-static \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
find ${RPM_BUILD_ROOT}%{_libdir} -type l | xargs rm -f

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-modeler.so \
    %{_datadir}/java/commons-modeler.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-modeler.so \
    %{_datadir}/java/commons-modeler.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/*.{txt,html}
%{_libdir}/lib*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/org/apache/commons/modeler

%changelog
* Tue May  4 2004 Gary Benson <gbenson@redhat.com> 1.0-8
- Rebuild with new compiler.

* Thu Apr 15 2004 Gary Benson <gbenson@redhat.com> 1.0-7
- Rebuild with new compiler (#120844).

* Tue Mar  2 2004 Elliot Lee <sopwith@redhat.com>
- Rebuilt.

* Mon Feb 16 2004 Gary Benson <gbenson@redhat.com> 1.0-6
- Rebuild for Fedora.

* Mon Dec 15 2003 Gary Benson <gbenson@redhat.com>
- Apply hammer multilib fix to all multilib archs.
- Correctly link local libraries on hammer.

* Fri Dec 12 2003 Gary Benson <gbenson@redhat.com>
- Upgraded to fluorinated RHUG tarball.

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 1.0-5
- Ensure we have a working javaconfig.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 1.0-4
- Rebuild with new compiler.

* Wed Aug 13 2003 Gary Benson <gbenson@redhat.com> 1.0-3
- Rebuild with new compiler.

* Mon Jul 28 2003 Gary Benson <gbenson@redhat.com> 1.0-2
- Add missing resources to jarfile (#100977).

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com>
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Tue Jul  1 2003 Gary Benson <gbenson@redhat.com> 1.0-1
- Initial Red Hat Linux build.

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
